Архитектура цифровых объектов (, DOA) — архитектура для построения распределённой адресно-справочной системы идентификации и получения данных цифровых объектов в сети Интернет независимо от типа объектов.

Концепция DOA разработана в 1993—1995 годах в (CNRI) в рамках проекта Computer Science Technical Reports (CSTR) по заказу Управления перспективных исследовательских проектов Министерства обороны США ().

В DOA предложен технический дизайн универсальной структуры для цифровой библиотеки, призванной упорядочить огромное количество цифровых объектов, доступных в компьютерных сетях. В ходе дискуссий вокруг концепции DOA экспертное сообщество выработало принципы для перехода к настоящей цифровой библиотеке из тех сетевых сервисов, которые существовали на 1995 год.

DOA использует , описанную в трёх информационных RFC, опубликованных в 2003 году.

Структура DOA Зарегистрированный в DOA цифровой объект описан в структуре данных, которая хранится в реестрах адресно-справочной системы. Эта структура данных представляет собой идентификатор (дескриптор, ) с уникальным именем (идентификационным словом или кодом) и информацией, содержащей описание цифрового объекта и метаданные, достаточные для получения данных цифрового объекта из информационной системы, в которой они хранятся.

Каждый идентификатор цифрового объекта уникален, постоянен (имя идентификатора в DOA не может быть изменено) и не зависит от физической или логической системы базы данных реестра.

Реестры идентификаторов цифровых объектов хранятся в иерархии реестров, которые образуют единую распределённую адресно-справочную систему идентификации и получения данных цифровых объектов по имени их идентификаторов: глобальный реестр идентификаторов (, ) — управляет всемирным корнем иерархии системы идентификаторов; локальные адресно-справочные системы (, ) — управляют идентификаторами определённого вида.

управляется некоммерческой организацией Фонд DONA (, ) при поддержке Международного союза электросвязи. Техническое обеспечение работы осуществляют несколько организаций, которых называют (). Каждому назначается префикс верхнего уровня, которого он может выделять субпрефиксы. Каждый обслуживает свою с идентификаторами, начинающимися с назначенным этому префиксом.

История В начале 1990-х Управления перспективных исследовательских проектов Министерства обороны США () в рамках проекта () заказало в () разработать систему для упорядочения огромного количества цифровых объектов, уже доступных на тот момент в национальных компьютерных сетях США. За 1993—1995 годы исследователями Робертом Каном () и Робертом Виленски () была проведена работа, результатом которой стала концепция каталогизации цифровых объектов под названием (, ). Первая публикация по вышла в мае 1995 года, её индекс hdl: cnri.dlib/tn95-01.

Начавшаяся после первой публикации 1995 года дискуссия вокруг концепции привела к выработке принципов для перехода к настоящей глобальной цифровой библиотеке от разрозненных сетевых сервисов, которые существовали в то время.

Принципы DOA Идентификация: каждый цифровой объект получает уникальный постоянный идентификатор (, ). Метаданные: каждый объект описывается набором стандартных метаданных, в которых описано, как его обнаруживать, понимать и использовать. Управление: разработана система управления, отвечающая за регистрацию идентификаторов, хранение метаданных и обеспечение доступа к объектам. Разрешение (ресолвинг): зная идентификатор, можно получить информацию о том, где находится сам объект и как к нему получить доступ.

Компоненты DOA Важнейшие компоненты DOA: цифровой объект — структурированная запись, содержащая данные, информацию о состоянии данных и метаданные (Цифровой объект может содержать не саму информацию, а указатели на местоположение этой информации); хранилище — система, в которой находится информация; идентификаторы (дескрипторы, ) — набор идентификаторов или дескрипторов () цифровых объектов, которые являются уникальными, постоянными для каждого объекта и независимыми от физической или логической системы; система ресолвинга дескрипторов — система, используемая для преобразования дескрипторов в информацию о местоположении информации и её хранилищах; реестры — содержат коллекции объектов, доступных в хранилищах.

Преимущества DOA Надежная идентификация и доступность цифровых объектов; стандартизированные метаданные для описания объектов; централизованное управление и распределенное хранение объектов; разделение идентификации и местоположения объектов.

Примечания

Литература

RFC 3650 RFC 3651 RFC 3652 RFC 4452

ANSI/NISO Z39.84-2005 ITU-T Recommendation X.1255

Категория:Информатика